import * as t from 'tinyemitter';
import * as g from './core';
import * as ta from './plugins/fixed-table';
import BaseGrid from './core';
import fixedHeader from './plugins/fixed-header';
import fixedTable from './plugins/fixed-table';
import sort from './plugins/sort';
import selection from './plugins/selection';
declare const _default: {
    new (...args: any[]): {
        selectionIndex: number;
        ch?: Function | undefined;
        setSelected(index: number): boolean;
        destroy(...args: any[]): void;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: ta.FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        setData(data: g.TableData): void;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & {
    new (...args: any[]): {
        sortColumnIndex: number;
        sortOrderIndex: number;
        clickEventHandler?: Function | undefined;
        destroy(...args: any[]): void;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: ta.FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        setData(data: g.TableData): void;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & {
    new (...args: any[]): {
        fixedTHead: HTMLTableSectionElement;
        fixedTheadRow: HTMLTableRowElement;
        readonly fixedHeaderTable: HTMLTableElement;
        readonly colGroup: HTMLTableColElement;
        readonly unbindEvents?: Function[] | undefined;
        syncFixedHeader(): void;
        setData(data: g.TableData): void;
        destroy(...args: any[]): void;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: ta.FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & {
    new (...args: any[]): {
        lastHoverIndex: number;
        readonly fixedTableEvents?: Function[] | undefined;
        setFixed(count: number, place?: "left" | "right"): void;
        syncFixedWidth(place: "left" | "right"): void;
        destroy(...args: any[]): void;
        createFixedGrid(place: "left" | "right"): g.BaseGrid;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: ta.FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        setData(data: g.TableData): void;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & typeof g.BaseGrid;
export default _default;
export { BaseGrid, fixedHeader, fixedTable, sort, selection };
