import * as t from 'tinyemitter';
import * as g from '../../core';
import BaseGrid, { DataGridConstructor } from '../../core';
import './style.css';
export interface FixedGrids {
    left?: BaseGrid;
    right?: BaseGrid;
}
export declare type GridPlace = keyof FixedGrids;
export default function <T extends DataGridConstructor>(Base: T): {
    new (...args: any[]): {
        lastHoverIndex: number;
        readonly fixedTableEvents?: Function[] | undefined;
        setFixed(count: number, place?: "left" | "right"): void;
        syncFixedWidth(place: "left" | "right"): void;
        destroy(...args: any[]): void;
        createFixedGrid(place: "left" | "right"): g.BaseGrid;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        setData(data: g.TableData): void;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & T;
