import * as t from 'tinyemitter';
import * as g from '../../core/index';
import * as x from '../fixed-table';
import { DataGridConstructor } from '../../core';
export default function <T extends DataGridConstructor>(Base: T): {
    new (...args: any[]): {
        selectionIndex: number;
        ch?: Function | undefined;
        setSelected(index: number): boolean;
        setData(data: g.TableData): void;
        destroy(...args: any[]): void;
        readonly el: HTMLDivElement;
        readonly ui: {
            [prop: string]: HTMLElement;
        };
        options: g.InnerDataGridOptions;
        curData: g.TableData;
        children?: g.BaseGrid[] | undefined;
        fixedTables?: x.FixedGrids | undefined;
        readonly parent?: g.BaseGrid | undefined;
        fixedColumns?: number | undefined;
        fixedPlace?: "left" | "right" | undefined;
        showModal(html?: string): void;
        hideModal(): void;
        e: any;
        on(name: string, handle: t.IHandle): void;
        off(name: string, handle?: t.IHandle | undefined): void;
        emit(name: string, ...args: any[]): void;
    };
} & T;
